policy_key_ext.h File Reference
`#include <libxml/tree.h>`

Go to the source code of this file.

## Macros

#define | POLICY_KEY_MINIMIZE_NONE 0
#define | POLICY_KEY_MINIMIZE_RRSIG (1<<0)
#define | POLICY_KEY_MINIMIZE_DNSKEY (1<<1)
#define | POLICY_KEY_MINIMIZE_DS (1<<2)
#define | POLICY_KEY_MINIMIZE_DS_AND_RRSIG (POLICY_KEY_MINIMIZE_DS|POLICY_KEY_MINIMIZE_RRSIG)

## Functions

int | policy_key_create_from_xml (policy_key_t *policy_key, xmlNodePtr key_node)

## Macro Definition Documentation

## POLICY_KEY_MINIMIZE_DNSKEY

#define POLICY_KEY_MINIMIZE_DNSKEY (1<<1)

Definition at line 37 of file policy_key_ext.h.

## POLICY_KEY_MINIMIZE_DS

#define POLICY_KEY_MINIMIZE_DS (1<<2)

Definition at line 38 of file policy_key_ext.h.

## POLICY_KEY_MINIMIZE_DS_AND_RRSIG

#define POLICY_KEY_MINIMIZE_DS_AND_RRSIG (POLICY_KEY_MINIMIZE_DS|POLICY_KEY_MINIMIZE_RRSIG)

Definition at line 39 of file policy_key_ext.h.

## POLICY_KEY_MINIMIZE_NONE

#define POLICY_KEY_MINIMIZE_NONE 0

Definition at line 35 of file policy_key_ext.h.

## POLICY_KEY_MINIMIZE_RRSIG

#define POLICY_KEY_MINIMIZE_RRSIG (1<<0)

Definition at line 36 of file policy_key_ext.h.

## Function Documentation

## policy_key_create_from_xml()

int policy_key_create_from_xml | ( | policy_key_t * | policy_key,
|  | xmlNodePtr | key_node
| ) |  |

extern

Create a policy key object from XML.

Parameters

  [in] | policy_key | a policy_key_t object being created.
  [in] | key_node | a xmlNodePtr to the XML for the policy key.

Returns
  DB_ERROR_* on failure, otherwise DB_OK.

Definition at line 38 of file policy_key_ext.c.

References DB_ERROR_UNKNOWN, DB_OK, POLICY_KEY_MINIMIZE_DNSKEY, POLICY_KEY_MINIMIZE_DS, POLICY_KEY_MINIMIZE_DS_AND_RRSIG, POLICY_KEY_MINIMIZE_NONE, POLICY_KEY_MINIMIZE_RRSIG, POLICY_KEY_ROLE_CSK, POLICY_KEY_ROLE_KSK, POLICY_KEY_ROLE_ZSK, policy_key_set_algorithm(), policy_key_set_bits(), policy_key_set_lifetime(), policy_key_set_manual_rollover(), policy_key_set_minimize(), policy_key_set_repository(), policy_key_set_rfc5011(), policy_key_set_role(), and policy_key_set_standby().

Referenced by policy_import().